// WinFont.java
// by Natsha Etcode

/*
RELEASE NOTICE
This software is released into the Public Domain.
There are no restrictions on its use or distribution.

DISCLAIMER
        This software and its documentation are provided "AS IS" and
without any expressed or implied warranties whatsoever.  No warranties
as to performance, merchantability, or fitness for a particular
purpose exist.
        The user is advised to test the software thoroughly before
relying on it.  The user must assume the entire risk and liability of
using this software.  In no event shall any person or organization of
people be held responsible for any direct, indirect, consequential or
inconsequential damages or lost profits.
*/

package winifc.widgets;

import netscape.application.*;
import netscape.util.*;

import java.awt.Toolkit;

// XXX It would be great if we had a central repository of all our look &
// feel configuration.

public class WinFont {
    private static Font defaultFont;

    // XXX I think this will get us the user's selected font. Need to test.

    public static Font defaultFont() {
        if (defaultFont == null) {
            defaultFont = Font.fontNamed("Dialog", Font.PLAIN, 12);
        }

        return defaultFont;
    }
}
